## chmsee 1.0.6

=== CMakeLists.txt ===
project(chmsee)
cmake_minimum_required(VERSION 2.6.2 FATAL_ERROR)
set(PACKAGE_VERSION "1.0.6" )
find_package(PkgConfig)
pkg_check_modules (CHMSEE REQUIRED gthread-2.0 glib-2.0 libxml-2.0 gtk+-2.0 libglade-2.0 libxul-embedding-unstable>=1.9 libxul-embedding-unstable<=1.9.0.999)

set(CHMSEE_BOOKMARK_FILE "chmsee_bookmarks")
set(CHMSEE_BOOKINFO_FILE "chmsee_bookinfo")
set(CHMSEE_NO_LINK "chmsee_no_link")
set(CHMSEE_DATA_DIR "${CMAKE_INSTALL_PREFIX}/share/chmsee")
set(GECKO_FLAVOUR "libxul")
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/src/config.h.in ${CMAKE_CURRENT_BINARY_DIR}/src/config.h)

find_program(INTLTOOL_MERGE intltool-merge)
if(${INTLTOOL_MERGE} STREQUAL "INTLTOOL_MERGE-NOTFOUND")
  message(FATAL_ERROR "intltool-merge not found, you can find one in http://ftp.gnome.org/pub/gnome/sources/intltool/")
endif()

find_program(GLIB_GENMARSHAL glib-genmarshal)
if(${GLIB_GENMARSHAL} STREQUAL "GLIB_GENMARSHAL-NOTFOUND")
  message(FATAL_ERROR "glib-genmarshal not found, check your glib-2.0 development environment")
endif()

find_library(LIBCHM chm)
if(${LIBCHM} STREQUAL "LIBCHM-NOTFOUND")
  message(FATAL_ERROR "libchm not found, you can find one in http://www.jedrea.com/chmlib/")
endif()

find_library(LIBGCRYPT gcrypt)
if(${LIBGCRYPT} STREQUAL "LIBGCRYPT-NOTFOUND")
  message(FATAL_ERROR "libgcrypt not found, you can find one in ftp://ftp.gnupg.org/gcrypt/libgcrypt/")
endif()

add_subdirectory(src)
add_subdirectory(data)
add_subdirectory(po)
add_subdirectory(test)
add_custom_target(report
	COMMAND gtester -o gtester.xml test/test
	COMMAND gtester-report gtester.xml > report.html
	DEPENDS test
	VERBATIM)
add_custom_target(love
	COMMAND src/chmsee -vvv --datadir=data
	DEPENDS chmsee
	)
add_custom_target(love-gdb
	COMMAND gdb --args src/chmsee -vvv --datadir=data
	DEPENDS chmsee
	)

=== po/CMakeLists.txt ===
set(CATALOGS bn ca cs da el en_GB es fr he id it ms nb pl pt pt_BR ro ru sk sv sw uk vi zh_CN)
set(UPDATE_PO_TARGETS )
set(COMPILE_PO_TARGETS )
add_custom_target(update-pot
	COMMAND intltool-update -p -g chmsee
	WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})
foreach(catalog ${CATALOGS})
	add_custom_target(update-${catalog}.po
		COMMAND intltool-update -d ${catalog}
		WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})
	set(UPDATE_PO_TARGETS ${UPDATE_PO_TARGETS}
		update-${catalog}.po)
	file(MAKE_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/${catalog}/LC_MESSAGES")
	add_custom_command(
		OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/${catalog}/LC_MESSAGES/chmsee.mo
		COMMAND msgfmt -c -o
			${CMAKE_CURRENT_BINARY_DIR}/${catalog}/LC_MESSAGES/chmsee.mo
			${CMAKE_CURRENT_SOURCE_DIR}/${catalog}.po
		DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/${catalog}.po)
	install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${catalog}/LC_MESSAGES/chmsee.mo
		DESTINATION share/locale/${catalog}/LC_MESSAGES)
	set(COMPILE_PO_TARGETS ${COMPILE_PO_TARGETS}
		${CMAKE_CURRENT_BINARY_DIR}/${catalog}/LC_MESSAGES/chmsee.mo)
endforeach(catalog)
add_custom_target(update-po
	DEPENDS update-pot ${UPDATE_PO_TARGETS})
add_custom_target(compile-po
	ALL
	DEPENDS ${COMPILE_PO_TARGETS})

=== src/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CHMSEE_INCLUDE_DIRS}
  )
add_definitions(
  -Wall
  ${CHMSEE_CFLAGS_OTHER}
  )
add_custom_command(
  OUTPUT marshal.h
  COMMAND ${GLIB_GENMARSHAL} --prefix=marshal ${CMAKE_CURRENT_SOURCE_DIR}/marshal.list --header > marshal.h
  DEPENDS marshal.list
  )

add_custom_command(
  OUTPUT marshal.c
  COMMAND ${GLIB_GENMARSHAL} --prefix=marshal ${CMAKE_CURRENT_SOURCE_DIR}/marshal.list --body > marshal.c
  DEPENDS marshal.list
  )

link_directories(
  ${CHMSEE_LIBRARY_DIRS}
  )

set(CHMSEE_SRCS
  booktree.c chmsee.c gecko_utils.cpp html.c
  setup.c startup.c ui_bookmarks.c booktree.h chmsee.h
  gecko_utils.h html.h setup.h startup.h ui_bookmarks.h
  marshal.h marshal.c
  ihtml.h ihtml.c
  html-factory.h html-factory.c
  ui_index.h ui_index.c
  )
set(CHMSEE_SRCS
  ${CHMSEE_SRCS}
  utils/utils.h utils/utils.c)
set(CHMSEE_SRCS
  ${CHMSEE_SRCS}
  models/bookmarks.h models/bookmarks.c
  models/chmfile.h models/chmfile.c
  models/hhc.h models/hhc.c
  models/link.h models/link.c
  models/ichmfile.h models/ichmfile.c
  models/chmfile-factory.h models/chmfile-factory.c
  models/chmindex.h models/chmindex.c
  )

add_library(chmseelib STATIC ${CHMSEE_SRCS})
target_link_libraries(chmseelib
  ${CHMSEE_LIBRARIES}
  chm
  gcrypt
  )

add_executable(chmsee main.cpp)
target_link_libraries(chmsee
  chmseelib
  )

install(TARGETS chmsee DESTINATION bin)

## chmsee 1.0.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,31 @@
 project(chmsee)
 cmake_minimum_required(VERSION 2.6.2 FATAL_ERROR)
-set(PACKAGE_VERSION "1.0.6" )
+set(PACKAGE_VERSION "1.0.7" )
 find_package(PkgConfig)
-pkg_check_modules (CHMSEE REQUIRED gthread-2.0 glib-2.0 libxml-2.0 gtk+-2.0 libglade-2.0 libxul-embedding-unstable>=1.9 libxul-embedding-unstable<=1.9.0.999)
+
+pkg_check_modules (CHMSEE REQUIRED gthread-2.0 glib-2.0 libxml-2.0 gtk+-2.0 libglade-2.0 nspr)
+pkg_search_module(XULRUNNER REQUIRED libxul-embedding-unstable>=1.9 xulrunner-gtkmozembed>=1.8)
+set(CHMSEE_INCLUDE_DIRS ${CHMSEE_INCLUDE_DIRS} ${XULRUNNER_INCLUDE_DIRS})
+set(CHMSEE_CFLAGS_OTHER ${CHMSEE_CFLAGS_OTHER} ${XULRUNNER_CFLAGS_OTHER} -Wall)
+set(CHMSEE_LIBRARY_DIRS ${CHMSEE_LIBRARY_DIRS} ${XULRUNNER_LIBRARY_DIRS})
+set(CHMSEE_LIBRARIES ${CHMSEE_LIBRARIES} ${XULRUNNER_LIBRARIES} chm gcrypt)
+
+if(CMAKE_SYSTEM_NAME MATCHES "FreeBSD")
+	set(CHMSEE_LIBRARIES ${CHMSEE_LIBRARIES} md)
+endif()
+
+if(XULRUNNER_VERSION MATCHES "1\\.8\\..*")
+	set(XULRUNNER18 1)
+endif()
+if(XULRUNNER_VERSION MATCHES "1\\.9\\..*")
+	set(XULRUNNER19 1)
+endif()
+if(XULRUNNER_VERSION MATCHES "1\\.9\\.0\\..*")
+	set(XULRUNNER190 1)
+endif()
+if(XULRUNNER_VERSION MATCHES "1\\.9\\.1\\..*")
+	set(XULRUNNER191 1)
+endif()
 
 set(CHMSEE_BOOKMARK_FILE "chmsee_bookmarks")
 set(CHMSEE_BOOKINFO_FILE "chmsee_bookinfo")
@@ -28,8 +51,9 @@
 
 find_library(LIBGCRYPT gcrypt)
 if(${LIBGCRYPT} STREQUAL "LIBGCRYPT-NOTFOUND")
-  message(FATAL_ERROR "libgcrypt not found, you can find one in ftp://ftp.gnupg.org/gcrypt/libgcrypt/")
+	message(FATAL_ERROR "libgcrypt not found, you can find one in ftp://ftp.gnupg.org/gcrypt/libgcrypt/")
 endif()
+
 
 add_subdirectory(src)
 add_subdirectory(data)
@@ -45,6 +69,6 @@
 	DEPENDS chmsee
 	)
 add_custom_target(love-gdb
-	COMMAND gdb --args src/chmsee -vvv --datadir=data
+	COMMAND gdb --args src/chmsee --g-fatal-warnings -vv --datadir=data
 	DEPENDS chmsee
 	)

=== data/CMakeLists.txt ===
add_custom_command(
	OUTPUT chmsee.desktop
	COMMAND intltool-merge -d ${CMAKE_SOURCE_DIR}/po ${CMAKE_CURRENT_SOURCE_DIR}/chmsee.desktop.in chmsee.desktop
	DEPENDS chmsee.desktop.in
	)
add_custom_command(
	OUTPUT default-prefs.js
	COMMAND cat ${CMAKE_CURRENT_SOURCE_DIR}/default-prefs-common.js 
		${CMAKE_CURRENT_SOURCE_DIR}/default-prefs-${GECKO_FLAVOUR}.js > default-prefs.js
	DEPENDS default-prefs-common.js default-prefs-${GECKO_FLAVOUR}.js
	)
add_custom_target(driver ALL DEPENDS chmsee.desktop default-prefs.js)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/chmsee.desktop DESTINATION share/applications)
install(FILES chmsee.mime chmsee.keys DESTINATION share/mime-info)
install(FILES chmsee-icon.png DESTINATION share/pixmaps)
install(FILES
	book-closed.png book-open.png chmsee-icon.png chmsee-splash.png
	helpdoc.png hide-pane.png show-pane.png chmsee.glade 
	${CMAKE_CURRENT_BINARY_DIR}/default-prefs.js
	DESTINATION
	share/chmsee)

=== po/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-set(CATALOGS bn ca cs da el en_GB es fr he id it ms nb pl pt pt_BR ro ru sk sv sw uk vi zh_CN)
+set(CATALOGS bn ca cs da de el en_GB es fr he id it ms nb pl pt pt_BR ro ru sk sv sw uk vi zh_CN zh_TW)
 set(UPDATE_PO_TARGETS )
 set(COMPILE_PO_TARGETS )
 add_custom_target(update-pot

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,6 @@
   ${CHMSEE_INCLUDE_DIRS}
   )
 add_definitions(
-  -Wall
   ${CHMSEE_CFLAGS_OTHER}
   )
 add_custom_command(
@@ -31,6 +30,7 @@
   ihtml.h ihtml.c
   html-factory.h html-factory.c
   ui_index.h ui_index.c
+  ui_chmfile.h ui_chmfile.c
   )
 set(CHMSEE_SRCS
   ${CHMSEE_SRCS}
@@ -49,13 +49,11 @@
 add_library(chmseelib STATIC ${CHMSEE_SRCS})
 target_link_libraries(chmseelib
   ${CHMSEE_LIBRARIES}
-  chm
-  gcrypt
   )
 
 add_executable(chmsee main.cpp)
 target_link_libraries(chmsee
   chmseelib
   )
-
+  
 install(TARGETS chmsee DESTINATION bin)

=== test/CMakeLists.txt ===
include_directories(  
  ${CHMSEE_INCLUDE_DIRS}
  ${CMAKE_SOURCE_DIR}/src
  )
link_directories(
  ${CHMSEE_LIBRARY_DIRS}
  )
  
add_executable(test EXCLUDE_FROM_ALL
	test.c)
	
target_link_libraries(test
  ${CHMSEE_LIBRARIES}
  chmseelib
  )

## chmsee 1.1.0

=== CMakeLists.txt ===
project(chmsee)
cmake_minimum_required(VERSION 2.6.2 FATAL_ERROR)

set(PACKAGE_VERSION "1.1.0" )

set(CMAKE_BUILD_TYPE Release)

find_package(PkgConfig)

pkg_check_modules (CHMSEE REQUIRED gthread-2.0 glib-2.0 libxml-2.0 gtk+-2.0>=2.16 nspr)
pkg_search_module(XULRUNNER REQUIRED mozilla-gtkmozembed-embedding>=1.9 xulrunner-gtkmozembed>=1.9)

set(CHMSEE_INCLUDE_DIRS ${CHMSEE_INCLUDE_DIRS} ${XULRUNNER_INCLUDE_DIRS})
set(CHMSEE_CFLAGS_OTHER ${CHMSEE_CFLAGS_OTHER} ${XULRUNNER_CFLAGS_OTHER} -Wall)
set(CHMSEE_LIBRARY_DIRS ${CHMSEE_LIBRARY_DIRS} ${XULRUNNER_LIBRARY_DIRS})
set(CHMSEE_LIBRARIES ${CHMSEE_LIBRARIES} ${XULRUNNER_LIBRARIES} chm gcrypt)

set(CHMSEE_CONFIG_FILE "config")
set(CHMSEE_BOOKMARKS_FILE "chmsee_bookmarks")
set(CHMSEE_BOOKINFO_FILE "chmsee_bookinfo")
set(CHMSEE_NO_LINK "chmsee_no_link")
set(CHMSEE_DATA_DIR "${CMAKE_INSTALL_PREFIX}/share/chmsee")
set(CHMSEE_BOOKSHELF_DEFAULT "bookshelf")

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/src/config.h.in ${CMAKE_CURRENT_BINARY_DIR}/src/config.h)

find_program(INTLTOOL_MERGE intltool-merge)
if(${INTLTOOL_MERGE} STREQUAL "INTLTOOL_MERGE-NOTFOUND")
        message(FATAL_ERROR "intltool-merge not found, you can find one in http://ftp.gnome.org/pub/gnome/sources/intltool/")
endif()

find_library(LIBCHM chm)
if(${LIBCHM} STREQUAL "LIBCHM-NOTFOUND")
        message(FATAL_ERROR "libchm not found, you can find one in http://www.jedrea.com/chmlib/")
endif()

find_library(LIBGCRYPT gcrypt)
if(${LIBGCRYPT} STREQUAL "LIBGCRYPT-NOTFOUND")
        message(FATAL_ERROR "libgcrypt not found, you can find one in ftp://ftp.gnupg.org/gcrypt/libgcrypt/")
endif()

# Set RPATH for installing
set(CMAKE_SKIP_BUILD_RPATH FALSE)
set(CMAKE_BUILD_WITH_INSTALL_RPATH FALSE)
set(CMAKE_INSTALL_RPATH ${CMAKE_SYSTEM_LIBRARY_PATH})
set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)

add_subdirectory(src)
add_subdirectory(data)
add_subdirectory(po)
#add_subdirectory(gtkmoz)

SET(CPACK_SOURCE_PACKAGE_FILE_NAME "chmsee-1.1.0")
SET(CPACK_SOURCE_GENERATOR "TGZ")
SET(CPACK_SOURCE_IGNORE_FILES ".*~;/.git/;.gitignore;ID;TAGS;/gtkmoz/")

INCLUDE(CPack)

=== data/CMakeLists.txt ===
add_custom_command(
        OUTPUT chmsee.desktop
        COMMAND intltool-merge -d ${CMAKE_SOURCE_DIR}/po ${CMAKE_CURRENT_SOURCE_DIR}/chmsee.desktop.in chmsee.desktop
        DEPENDS chmsee.desktop.in
        )
add_custom_target(driver ALL DEPENDS chmsee.desktop default-prefs.js)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/chmsee.desktop DESTINATION share/applications)
install(FILES chmsee.mime chmsee.keys DESTINATION share/mime-info)
install(FILES chmsee-icon.png DESTINATION share/pixmaps)
install(FILES
        book-closed.png book-open.png chmsee-icon.png chmsee-splash.png
        helpdoc.png hide-pane.png show-pane.png
        about-dialog.ui openfile-dialog.ui setup-window.ui
        default-prefs.js
        DESTINATION share/chmsee)

=== po/CMakeLists.txt ===
set(CATALOGS bn ca cs da de el en_GB es fr he id it ms nb pl pt pt_BR ro ru sk sv sw uk vi zh_CN zh_TW)
set(UPDATE_PO_TARGETS )
set(COMPILE_PO_TARGETS )

add_custom_command(
        OUTPUT ${CMAKE_CURRENT_SOURCE_DIR}/chmsee.pot
        COMMAND intltool-update -p -g chmsee
        WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
        COMMENT "Generate chmsee.pot file")

foreach(catalog ${CATALOGS})
        add_custom_command(
                OUTPUT ${CMAKE_CURRENT_SOURCE_DIR}/update-${catalog}.po
                COMMAND intltool-update -d ${catalog} -g chmsee
                DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/chmsee.pot
                WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})

        set(UPDATE_PO_TARGETS ${UPDATE_PO_TARGETS} update-${catalog}.po)

        file(MAKE_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/${catalog}/LC_MESSAGES")

        add_custom_command(
                OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/${catalog}/LC_MESSAGES/chmsee.mo
                COMMAND msgfmt -c -o
                        ${CMAKE_CURRENT_BINARY_DIR}/${catalog}/LC_MESSAGES/chmsee.mo
                        ${CMAKE_CURRENT_SOURCE_DIR}/${catalog}.po
                DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/${catalog}.po)

        install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${catalog}/LC_MESSAGES/chmsee.mo
                DESTINATION share/locale/${catalog}/LC_MESSAGES)

        set(COMPILE_PO_TARGETS ${COMPILE_PO_TARGETS} ${CMAKE_CURRENT_BINARY_DIR}/${catalog}/LC_MESSAGES/chmsee.mo)
endforeach()

add_custom_target(update-po
        DEPENDS ${UPDATE_PO_TARGETS})

add_custom_target(compile-po
        ALL
        DEPENDS ${COMPILE_PO_TARGETS})

=== src/CMakeLists.txt ===
include_directories(
        ${CMAKE_CURRENT_SOURCE_DIR}
        ${CMAKE_CURRENT_BINARY_DIR}
        ${CHMSEE_INCLUDE_DIRS}
        )
add_definitions(
        ${CHMSEE_CFLAGS_OTHER}
        )

link_directories(
        ${CHMSEE_LIBRARY_DIRS}
        )

set(CHMSEE_SRCS
        chmsee.h chmsee.c
        startup.h startup.c
        setup.h setup.c
        utils.h utils.c
        )
set(CHMSEE_SRCS
        ${CHMSEE_SRCS}
        components/book.h components/book.c
        components/toc.h components/toc.c
        components/index.h components/index.c
        components/bookmarks.h components/bookmarks.c
        components/treeview.h components/treeview.c
        components/html-gecko.h components/html-gecko.c
        components/gecko-utils.h components/gecko-utils.cpp
        )
set(CHMSEE_SRCS
        ${CHMSEE_SRCS}
        models/bookmarksfile.h models/bookmarksfile.c
        models/chmfile.h models/chmfile.c
        models/parser.h models/parser.c
        models/link.h models/link.c
        )

add_library(chmseelib STATIC ${CHMSEE_SRCS})
target_link_libraries(chmseelib
        ${CHMSEE_LIBRARIES}
        )

add_executable(chmsee main.c)
target_link_libraries(chmsee
        chmseelib
        )
set_target_properties(chmsee
        PROPERTIES LINKER_LANGUAGE CXX
        )

install(TARGETS chmsee DESTINATION bin)

=== debian/changelog ===
chmsee (1.1.0-1) unstable; urgency=low

  * new upstream release.
  * debian/source/format: 3.0. 
  * debian/rules: ChangeLog.old no longer exist. 
  * debian/control: bump standards version to 3.8.4. 
  * debian/patches/debian-changes-1.1.0-1: fix crash when compile under
    xulrunner 1.9.2.

 -- LI Daobing <lidaobing@debian.org>  Mon, 12 Apr 2010 20:00:24 +0800

chmsee (1.0.7-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTFBS on GNU/kFreeBSD (Closes: #557159):
     - Remove FreeBSD detection from CMakeLists.txt, so that -lmd doesn't
       get added for GNU/kFreeBSD. That's not meant to be a final
       solution, just a temporary band-aid until a CMake master drives by.
     - Tweak src/models/chmfile.c to check for __GLIBC__ in addition to
       checking for __linux__.

 -- Cyril Brulebois <kibi@debian.org>  Mon, 21 Dec 2009 08:21:07 +0100

chmsee (1.0.7-1.1) unstable; urgency=low

  * Non-maintainer upload for transition to xulrunner 1.9.1.
    (Closes: #548671)
  * debian/rules: Use dh_xulrunner
  * debian/control:
    - Build-depend on a xulrunner-dev that provides dh_xulrunner.
    - Let dh_xulrunner fill shlibs:Depends with the proper xulrunner
      dependency.

 -- Mike Hommey <glandium@debian.org>  Sat, 10 Oct 2009 11:32:05 +0200

chmsee (1.0.7-1) unstable; urgency=low

  * new upstream release.
    - Fix "should honor GTK toolbar settings" (Closes: #536691)
  * debian/control: bump standards version to 3.8.3.

 -- LI Daobing <lidaobing@debian.org>  Mon, 14 Sep 2009 22:24:01 +0800

chmsee (1.0.6-1) unstable; urgency=low

  * New Upstream Version
    - Fix "Possible breakage with xulrunner 1.9.1" (Closes: #536621)
  * debian/control:
    - build depends: cmake >= 2.6.2
    - bump standards version to 3.8.2.
  * debian/rules:
    - remove dh_desktop

 -- LI Daobing <lidaobing@debian.org>  Sun, 12 Jul 2009 11:28:18 +0800

chmsee (1.0.5-1) unstable; urgency=low

  * new upstream release.
  * debian/control:
    - build depends: remove autotools-dev, add cmake.
    - change maintainer's email. 
    - bump standards version to 3.8.1.
  * debian/rules:
    - switch to cmake.
    - install ChangeLog and ChangeLog.old.

 -- LI Daobing <lidaobing@debian.org>  Sun, 17 May 2009 15:42:38 +0800

chmsee (1.0.4-1) unstable; urgency=low

  * new upstream release.
  * cs2w removed by upstream:
    - debian/control: update depends and description.
    - debian/chmsee.manpages: remove cs2w.1.
    - debian/rules: remove cs2w install code.
  * all patches merged by upstream:
    - debian/control: no longer build depends on dpatch.
    - debian/patches/: removed.
    - debian/rules: remove dpatch.mk.
  * debian/chmsee.docs: remove README.zh and NEWS.zh.

 -- LI Daobing <lidaobing@gmail.com>  Sat, 14 Mar 2009 21:06:44 +0800

chmsee (1.0.3-2) unstable; urgency=low

  * debian/patches/06_bug512713.dpatch: added, fix segfaults with some files
    (Closes: #512713)
  * debian/patches/00list: updated

 -- LI Daobing <lidaobing@gmail.com>  Sun, 01 Feb 2009 21:44:39 +0800

chmsee (1.0.3-1) unstable; urgency=low

  * new upstream release.
  * new homepage:
    - debian/control: update homepage field.
    - debian/watch: updated.
  * debian/copyright: add new copyright holder. 
  * debian/control: add ${misc:Depends} to depends. 

 -- LI Daobing <lidaobing@gmail.com>  Sat, 10 Jan 2009 22:01:58 +0800

chmsee (1.0.2-1) unstable; urgency=low

  * new upstream release.
  * debian/control: also build depends on xulrunner-1.9-dev (Closes: #488153)
  * debian/patches/04_manpage.dpatch: merged by upstream, deleted.
  * debian/patches/05_desktop.dpatch: merged by upstream, deleted.
  * debian/patches/00list: updated.

 -- LI Daobing <lidaobing@gmail.com>  Thu, 04 Dec 2008 13:24:10 +0800

chmsee (1.0.1-1) unstable; urgency=low

  * new upstream release.
  * debian/control: 
    - VCS and Homepage transition.
    - does not build depends on libssl-dev, use libgcrypt11-dev
    - bump standards version to 3.8.0, nothing changed.
    - fix typo in description, GTK -> GTK+
    - add DM-Upload-Allowed field.
  * debian/watch: added.
  * debian/copyright: (C) -> Copyright 
  * debian/rules: add "-Wl,--as-needed" to LDFLAGS. 
  * Don't build depend on libxul-dev (Closes: #480791)
  * debian/patches/04_manpage.dpatch: new, fix hyphen-used-as-minus-sign
  * debian/patches/05_desktop.dpatch: new, fix
    desktop-entry-contains-encoding-key
  * debian/patches/00list: updated.

 -- LI Daobing <lidaobing@gmail.com>  Wed, 18 Jun 2008 22:31:47 +0800

chmsee (1.0.0-1) unstable; urgency=low

  * new upstream release.
    - new script `cs2w'.
  * patches/02_cs2w.dpatch: give a default template directory.
  * chmsee.manpages: add cs2w.1
  * control:
    - add build depends on autotools-dev.
    - add depends on python and python-chm.
    - update description.
  * control.in: deleted.
  * copyright: add new copyright holder and reformat it.
  * rules: install cs2w.
  * chmsee.menu: new section.

 -- LI Daobing <lidaobing@gmail.com>  Sat, 01 Sep 2007 03:12:22 +0000

chmsee (1.0.0~beta2-1) unstable; urgency=low

  * Initial upload to debian. (Closes: #288703)
  * new upstream release.
  * upstream ship chmsee.1:
    chmsee.1: deleted
    chmsee.manpages: update
  * upstream have patched desktop file:
    patches/01_desktop.dpatch: deleted
  * chmsee.docs: add README.zh and NEWS.zh

 -- LI Daobing <lidaobing@gmail.com>  Wed, 01 Aug 2007 12:27:09 +0800

chmsee (1.0.0~beta-1) unstable; urgency=low

  * New upstream release

 -- LI Daobing <lidaobing@gmail.com>  Mon, 19 Mar 2007 03:46:39 +0800

chmsee (1.0.0~alpha-1) unstable; urgency=low

  * New upstream release
  * provide control and control.in
  * chmsee-16x16.xpm, chmsee-32x32.xpm: new icon for menu
  * control.in: depends on libxul instead of libgtkhtml
  * rules: clean intltool

 -- LI Daobing <lidaobing@gmail.com>  Thu, 26 Oct 2006 22:22:38 +0800

chmsee (0.9.6-3) unstable; urgency=low

  * rules: use cdbs to install manpage.



=== debian/control ===
Source: chmsee
Section: text
Priority: optional
Maintainer: LI Daobing <lidaobing@debian.org>
Build-Depends: cdbs (>= 0.4.23-1.1), cmake (>= 2.6.2), debhelper (>= 5),
 xulrunner-dev (>= 1.9.1.3-2), libchm-dev, libgcrypt11-dev, intltool,
 pkg-config, libglade2-dev (>= 2.4.0), libgtk2.0-dev (>= 2.8.0)
Standards-Version: 3.8.4
DM-Upload-Allowed: yes
Vcs-Browser: http://git.debian.org/?p=chinese/chmsee.git
Vcs-Git: git://git.debian.org/git/chinese/chmsee.git
Homepage: http://code.google.com/p/chmsee

Package: chmsee
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A chm file viewer written in GTK+
 ChmSee is a Compiled HTML Help (CHM) file viewer written in GTK+.
 .
 Features:
  * Use gecko rendering engine
  * Bookmarks
  * Support to open multiple files at once

=== debian/watch ===
version=3
http://code.google.com/p/chmsee/downloads/list \
http://chmsee.googlecode.com/files/chmsee-(.*)\.tar\.gz

## chmsee 1.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,13 @@
 project(chmsee)
 cmake_minimum_required(VERSION 2.6.2 FATAL_ERROR)
 
-set(PACKAGE_VERSION "1.1.0" )
+set(PACKAGE_VERSION "1.2.0" )
 
 set(CMAKE_BUILD_TYPE Release)
 
 find_package(PkgConfig)
 
-pkg_check_modules (CHMSEE REQUIRED gthread-2.0 glib-2.0 libxml-2.0 gtk+-2.0>=2.16 nspr)
+pkg_check_modules (CHMSEE REQUIRED gthread-2.0>=2.24 glib-2.0>=2.24 libxml-2.0 gtk+-2.0>=2.20 nspr)
 pkg_search_module(XULRUNNER REQUIRED mozilla-gtkmozembed-embedding>=1.9 xulrunner-gtkmozembed>=1.9)
 
 set(CHMSEE_INCLUDE_DIRS ${CHMSEE_INCLUDE_DIRS} ${XULRUNNER_INCLUDE_DIRS})
@@ -50,7 +50,7 @@
 add_subdirectory(po)
 #add_subdirectory(gtkmoz)
 
-SET(CPACK_SOURCE_PACKAGE_FILE_NAME "chmsee-1.1.0")
+SET(CPACK_SOURCE_PACKAGE_FILE_NAME "chmsee-1.2.0")
 SET(CPACK_SOURCE_GENERATOR "TGZ")
 SET(CPACK_SOURCE_IGNORE_FILES ".*~;/.git/;.gitignore;ID;TAGS;/gtkmoz/")

=== data/CMakeLists.txt ===
--- 
+++ 
@@ -14,3 +14,5 @@
         about-dialog.ui openfile-dialog.ui setup-window.ui
         default-prefs.js
         DESTINATION share/chmsee)
+
+add_subdirectory(icons)

=== debian/changelog ===
chmsee (1.2.0-1ubuntu2) natty; urgency=low

  * Rebuild against the latest xulrunner package to pick up the new depends

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 26 Nov 2010 12:46:53 +0000

chmsee (1.2.0-1ubuntu1) natty; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - Force xulrunner-dev >= 1.9.2 in Build-deps.

 -- Bilal Akhtar <bilalakhtar@ubuntu.com>  Fri, 15 Oct 2010 09:27:18 +0300

chmsee (1.2.0-1) unstable; urgency=low

  * new upstream release (closes: #592194).
  * debian/watch: updated. 
  * debian/control: bump standards version to 3.9.1. 

 -- LI Daobing <lidaobing@debian.org>  Sat, 14 Aug 2010 16:24:07 +0800

chmsee (1.1.0-1ubuntu1) maverick; urgency=low

  * Merge from Debian unstable (LP: #587998), remaining Ubuntu changes:
    - Force xulrunner-dev >= 1.9.2.

 -- Maia Kozheva <sikon@ubuntu.com>  Sat, 05 Jun 2010 18:20:59 +0700

chmsee (1.0.7-1.2ubuntu1) lucid; urgency=low

  [ Micah Gersten ]
  * debian/patches/xulrunner1.9.2.diff: 
    - libxul-embedding is no longer unstable
    - Bump GRE version
    - Add XULRUNNER192 variable

  [ Chris Coulson ]
  * Merge from Debian unstable, remaining changes:
    - debian/control:
      + Build-depend on quilt
    - debian/rules:
      + Include patchsys-quilt.mk
  * debian/patches/xulrunner1.9.2.diff:
    - Update for new source version
    - Ensure regex for testing for xulrunner 1.9.2 matches "1.9.2" as 
      well as "1.9.2.*"

 -- Chris Coulson <chris.coulson@canonical.com>  Sun, 21 Mar 2010 01:16:14 +0000

chmsee (1.0.6-1ubuntu2) karmic; urgency=low

  * LP: #455517 - supersede firefox 3.0 and xulrunner-1.9 in karmic;
    chmsee is already ported, its just that the binary depends is
    still (regression?) wrong.

 -- Alexander Sack <asac@ubuntu.com>  Tue, 20 Oct 2009 11:15:05 +0200

chmsee (1.0.6-1ubuntu1) karmic; urgency=low

  * Merge with Debian unstable (LP: #416346), remaining changes
    + xulrunner-1.9.1 by default transition
      see: https://blueprints.launchpad.net/ubuntu/+spec/desktop-karmic-firefox-3.5
      - bump minimal xulrunner-dev version
  * debian/control, debian/rules: use quilt patch system.
  * Added xulrunner1.9.1.diff patch from upstream to support building against
    xulrunner 1.9.1

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Thu, 20 Aug 2009 14:17:32 +0300

chmsee (1.0.5-1ubuntu1) karmic; urgency=low

  * xulrunner-1.9.1 by default transition
    + see: https://blueprints.launchpad.net/ubuntu/+spec/desktop-karmic-firefox-3.5
      - bump minimal xulrunner-dev version

 -- Alexander Sack <asac@ubuntu.com>  Thu, 06 Aug 2009 15:30:17 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: chmsee
 Section: text
 Priority: optional
-Maintainer: LI Daobing <lidaobing@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: LI Daobing <lidaobing@debian.org>
 Build-Depends: cdbs (>= 0.4.23-1.1), cmake (>= 2.6.2), debhelper (>= 5),
- xulrunner-dev (>= 1.9.1.3-2), libchm-dev, libgcrypt11-dev, intltool,
+ xulrunner-dev (>= 1.9.2), libchm-dev, libgcrypt11-dev, intltool,
  pkg-config, libglade2-dev (>= 2.4.0), libgtk2.0-dev (>= 2.8.0)
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 DM-Upload-Allowed: yes
 Vcs-Browser: http://git.debian.org/?p=chinese/chmsee.git
 Vcs-Git: git://git.debian.org/git/chinese/chmsee.git

=== debian/rules ===
#!/usr/bin/make -f

# to re-generate debian/control, invoke
# fakeroot debian/rules debian/control DEB_AUTO_UPDATE_DEBIAN_CONTROL:=yes

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk

INSTROOT = $(CURDIR)/debian/chmsee
DEB_CONFIGURE_SCRIPT_ENV += LDFLAGS=" -Wl,--as-needed"
DEB_CONFIGURE_EXTRA_FLAGS += --with-gecko=libxul
DEB_INSTALL_CHANGELOGS_ALL += ChangeLog

# copy from /usr/share/cdbs/1/class/gnome.mk
clean::
	cd $(DEB_BUILDDIR) && \
	  rm -f intltool-extract intltool-merge intltool-update po/.intltool-merge-cache; \
	  if test -d doc; then find doc -name '*.omf.out' -exec rm -f \{\} \; ; fi; \
	  if test -d help; then find help -name '*.omf.out' -exec rm -f \{\} \; ; fi

binary-predeb/chmsee::
	dh_xulrunner -pchmsee

## chmsee 1.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,13 @@
 project(chmsee)
-cmake_minimum_required(VERSION 2.6.2 FATAL_ERROR)
+cmake_minimum_required(VERSION 2.6.4 FATAL_ERROR)
 
-set(PACKAGE_VERSION "1.2.0" )
+set(PACKAGE_VERSION "1.3.0" )
 
 set(CMAKE_BUILD_TYPE Release)
 
 find_package(PkgConfig)
 
-pkg_check_modules (CHMSEE REQUIRED gthread-2.0>=2.24 glib-2.0>=2.24 libxml-2.0 gtk+-2.0>=2.20 nspr)
+pkg_check_modules (CHMSEE REQUIRED gthread-2.0>=2.22 glib-2.0>=2.22 libxml-2.0 gtk+-2.0>=2.18 nspr)
 pkg_search_module(XULRUNNER REQUIRED mozilla-gtkmozembed-embedding>=1.9 xulrunner-gtkmozembed>=1.9)
 
 set(CHMSEE_INCLUDE_DIRS ${CHMSEE_INCLUDE_DIRS} ${XULRUNNER_INCLUDE_DIRS})
@@ -22,7 +22,8 @@
 set(CHMSEE_DATA_DIR "${CMAKE_INSTALL_PREFIX}/share/chmsee")
 set(CHMSEE_BOOKSHELF_DEFAULT "bookshelf")
 
-configure_file(${CMAKE_CURRENT_SOURCE_DIR}/src/config.h.in ${CMAKE_CURRENT_BINARY_DIR}/src/config.h)
+configure_file(${CMAKE_CURRENT_SOURCE_DIR}/src/config.h.in
+               ${CMAKE_CURRENT_BINARY_DIR}/src/config.h @ONLY)
 
 find_program(INTLTOOL_MERGE intltool-merge)
 if(${INTLTOOL_MERGE} STREQUAL "INTLTOOL_MERGE-NOTFOUND")
@@ -50,7 +51,7 @@
 add_subdirectory(po)
 #add_subdirectory(gtkmoz)
 
-SET(CPACK_SOURCE_PACKAGE_FILE_NAME "chmsee-1.2.0")
+SET(CPACK_SOURCE_PACKAGE_FILE_NAME "chmsee-1.3.0")
 SET(CPACK_SOURCE_GENERATOR "TGZ")
 SET(CPACK_SOURCE_IGNORE_FILES ".*~;/.git/;.gitignore;ID;TAGS;/gtkmoz/")

=== data/CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 install(FILES chmsee.mime chmsee.keys DESTINATION share/mime-info)
 install(FILES chmsee-icon.png DESTINATION share/pixmaps)
 install(FILES
-        book-closed.png book-open.png chmsee-icon.png chmsee-splash.png
+        book-closed.png book-open.png chmsee-icon.png
         helpdoc.png hide-pane.png show-pane.png
         about-dialog.ui openfile-dialog.ui setup-window.ui
         default-prefs.js

=== po/CMakeLists.txt ===
--- 
+++ 
@@ -2,11 +2,13 @@
 set(UPDATE_PO_TARGETS )
 set(COMPILE_PO_TARGETS )
 
+file(REMOVE ${CMAKE_CURRENT_SOURCE_DIR}/chmsee.pot)
+
 add_custom_command(
         OUTPUT ${CMAKE_CURRENT_SOURCE_DIR}/chmsee.pot
         COMMAND intltool-update -p -g chmsee
-        WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
-        COMMENT "Generate chmsee.pot file")
+        DEPENDS POTFILES.in
+        WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})
 
 foreach(catalog ${CATALOGS})
         add_custom_command(

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,6 @@
 
 set(CHMSEE_SRCS
         chmsee.h chmsee.c
-        startup.h startup.c
         setup.h setup.c
         utils.h utils.c
         )

=== data/icons/CMakeLists.txt ===
install(FILES hicolor/scalable/mimetypes/chm.svg DESTINATION share/icons/hicolor/scalable/mimetypes)
install(FILES hicolor/16x16/mimetypes/chm.png DESTINATION share/icons/hicolor/16x16/mimetypes)
install(FILES hicolor/32x32/mimetypes/chm.png DESTINATION share/icons/hicolor/32x32/mimetypes)
install(FILES hicolor/48x48/mimetypes/chm.png DESTINATION share/icons/hicolor/48x48/mimetypes)

=== debian/changelog ===
chmsee (1.3.0-2ubuntu2) oneiric; urgency=low

  * Apply patch from the webkit branch of chmsee to add webkit support and
    drop gtkmozembed
    - add debian/patches/chmsee-1.3.0-webkit.patch
    - update debian/patches/series
    - remove debian/patches/01_fix_gecko_version.patch
    - update debian/control
    - update debian/rules

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 10 Jun 2011 23:48:07 +0100

chmsee (1.3.0-2ubuntu1) natty; urgency=low

  * Fix LP: #761715 - chmsee will stop working with the Firefox 4.0.1
    release
    - add debian/patches/series
    - add debian/patches/01_fix_gecko_version.patch

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 15 Apr 2011 13:52:05 +0100

chmsee (1.3.0-2) unstable; urgency=low

  * Fix "Please add libnspr4-dev to build-deps"(Closes: #610889)
    - debian/control: add build depends on libnspr4-dev

 -- LI Daobing <lidaobing@debian.org>  Sun, 20 Feb 2011 16:51:23 +0800

chmsee (1.3.0-1) unstable; urgency=low

  * new upstream release.

 -- LI Daobing <lidaobing@debian.org>  Sun, 23 Jan 2011 15:27:29 +0800

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,9 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: LI Daobing <lidaobing@debian.org>
 Build-Depends: cdbs (>= 0.4.23-1.1), cmake (>= 2.6.2), debhelper (>= 5),
- xulrunner-dev (>= 1.9.2), libchm-dev, libgcrypt11-dev, intltool,
- pkg-config, libglade2-dev (>= 2.4.0), libgtk2.0-dev (>= 2.8.0)
+ libwebkitgtk-dev, libchm-dev, libgcrypt11-dev, intltool,
+ pkg-config, libglade2-dev (>= 2.4.0), libgtk2.0-dev (>= 2.8.0),
+ libnspr4-dev
 Standards-Version: 3.9.1
 DM-Upload-Allowed: yes
 Vcs-Browser: http://git.debian.org/?p=chinese/chmsee.git

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,6 @@
 
 INSTROOT = $(CURDIR)/debian/chmsee
 DEB_CONFIGURE_SCRIPT_ENV += LDFLAGS=" -Wl,--as-needed"
-DEB_CONFIGURE_EXTRA_FLAGS += --with-gecko=libxul
 DEB_INSTALL_CHANGELOGS_ALL += ChangeLog
 
 # copy from /usr/share/cdbs/1/class/gnome.mk
@@ -17,6 +16,3 @@
 	  rm -f intltool-extract intltool-merge intltool-update po/.intltool-merge-cache; \
 	  if test -d doc; then find doc -name '*.omf.out' -exec rm -f \{\} \; ; fi; \
 	  if test -d help; then find help -name '*.omf.out' -exec rm -f \{\} \; ; fi
-
-binary-predeb/chmsee::
-	dh_xulrunner -pchmsee

=== debian/watch ===
version=3
http://googlecode.debian.net/p/chmsee/chmsee-([\d.]+)\.tar\.gz

## chmsee 1.99.05

=== debian/changelog ===
chmsee (1.99.05-1) unstable; urgency=low

  * new upstream release. (Closes: #643842, #631050, #617278)
  * debian/control:
    - bump standards version to 3.9.2.
    - fix description-synopsis-starts-with-article.
    - new maintainer, add me to uploader.
    - debhelper 7.
    - update depends.
    - update description.
  * debian/patches/debian.patch: patch for build under debian. 
  * debian/chmsee.1: added.
  * debian/chmsee.manpages: udpated. 
  * debian/chmsee.links: added.
  * debian/chmsee.sh: startup script.
  * debian/clean: updated. 

 -- LI Daobing <lidaobing@debian.org>  Sun, 02 Oct 2011 22:51:40 +0800

=== debian/control ===
Source: chmsee
Section: text
Priority: optional
Maintainer: Debian Chinese Team <chinese-developers@lists.alioth.debian.org>
Uploaders:
 LI Daobing <lidaobing@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
 xulrunner-dev (>= 1.9.1.3-2), libchm-dev, intltool,
 pkg-config, libnspr4-dev, chrpath, python
Standards-Version: 3.9.2
DM-Upload-Allowed: yes
Vcs-Browser: http://git.debian.org/?p=chinese/chmsee.git
Vcs-Git: git://git.debian.org/git/chinese/chmsee.git
Homepage: http://code.google.com/p/chmsee

Package: chmsee
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, xulrunner-7.0
Description: CHM file viewer
 ChmSee is a Compiled HTML Help (CHM) file viewer.
 .
 Features:
  * Use gecko rendering engine
  * Bookmarks
  * Support to open multiple files at once

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	cd src; make -f Makefile.debian

override_dh_auto_install:
	mkdir -p debian/chmsee/usr/share/chmsee debian/chmsee/usr/lib/chmsee debian/chmsee/usr/bin
	cp -r application.ini chrome.manifest chrome/ data/ defaults/ components/ debian/chmsee/usr/share/chmsee
	chrpath -d debian/chmsee/usr/share/chmsee/components/libxpcomchm.so
	mv debian/chmsee/usr/share/chmsee/components/libxpcomchm.so debian/chmsee/usr/lib/chmsee/
	install -m755 debian/chmsee.sh debian/chmsee/usr/bin/chmsee

override_dh_auto_clean:
	cd src; make -f Makefile.debian clean || true

# to re-generate debian/control, invoke
# fakeroot debian/rules debian/control DEB_AUTO_UPDATE_DEBIAN_CONTROL:=yes

#include /usr/share/cdbs/1/rules/debhelper.mk
#include /usr/share/cdbs/1/class/cmake.mk
#
#INSTROOT = $(CURDIR)/debian/chmsee
#DEB_CONFIGURE_SCRIPT_ENV += LDFLAGS=" -Wl,--as-needed"
#DEB_CONFIGURE_EXTRA_FLAGS += --with-gecko=libxul
#DEB_INSTALL_CHANGELOGS_ALL += ChangeLog
#
## copy from /usr/share/cdbs/1/class/gnome.mk
#clean::
#	cd $(DEB_BUILDDIR) && \
#	  rm -f intltool-extract intltool-merge intltool-update po/.intltool-merge-cache; \
#	  if test -d doc; then find doc -name '*.omf.out' -exec rm -f \{\} \; ; fi; \
#	  if test -d help; then find help -name '*.omf.out' -exec rm -f \{\} \; ; fi
#
#binary-predeb/chmsee::
#	dh_xulrunner -pchmsee

## chmsee 1.99.07

=== debian/changelog ===
chmsee (1.99.07-2) unstable; urgency=low

  * Fix icons install path. 

 -- YunQiang Su <wzssyqa@gmail.com>  Sat, 14 Jan 2012 15:40:00 +0800

chmsee (1.99.07-1) unstable; urgency=low

  * New upsteam release (Closes: #630689).
  * Process command line options (Closes: #648174).
  * Install Desktop file (Closes: #644902).
  * Build with xulrunner-9.0 (Closes: #649570, 655585).
  * debian/watch: watch github now.
  * Add YunQiang Su to Uploaders.

 -- YunQiang Su <wzssyqa@gmail.com>  Fri, 13 Jan 2012 01:11:40 +0800

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,10 @@
 Priority: optional
 Maintainer: Debian Chinese Team <chinese-developers@lists.alioth.debian.org>
 Uploaders:
- LI Daobing <lidaobing@debian.org>
+ LI Daobing <lidaobing@debian.org>,
+ YunQiang Su <wzssyqa@gmail.com>
 Build-Depends: debhelper (>= 7.0.50~),
- xulrunner-dev (>= 1.9.1.3-2), libchm-dev, intltool,
+ xulrunner-dev (>= 6.0), libchm-dev, intltool,
  pkg-config, libnspr4-dev, chrpath, python
 Standards-Version: 3.9.2
 DM-Upload-Allowed: yes
@@ -15,7 +16,7 @@
 
 Package: chmsee
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, xulrunner-7.0
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${xulrunner-binversion}
 Description: CHM file viewer
  ChmSee is a Compiled HTML Help (CHM) file viewer.
  .

=== debian/rules ===
--- 
+++ 
@@ -1,20 +1,28 @@
 #!/usr/bin/make -f
-
+export DH_VERBOSE=1
 %:
 	dh $@
+
+XUL_VERSION = $(shell pkg-config --modversion libxul | cut -d '.' -f1,2)
 
 override_dh_auto_build:
 	cd src; make -f Makefile.debian
 
 override_dh_auto_install:
-	mkdir -p debian/chmsee/usr/share/chmsee debian/chmsee/usr/lib/chmsee debian/chmsee/usr/bin
+	mkdir -p debian/chmsee/usr/share/chmsee debian/chmsee/usr/lib/chmsee debian/chmsee/usr/bin debian/chmsee/usr/share/applications
 	cp -r application.ini chrome.manifest chrome/ data/ defaults/ components/ debian/chmsee/usr/share/chmsee
+	mv debian/chmsee/usr/share/chmsee/data/icons debian/chmsee/usr/share/icons
 	chrpath -d debian/chmsee/usr/share/chmsee/components/libxpcomchm.so
 	mv debian/chmsee/usr/share/chmsee/components/libxpcomchm.so debian/chmsee/usr/lib/chmsee/
-	install -m755 debian/chmsee.sh debian/chmsee/usr/bin/chmsee
+	sed "s/@XUL_VERSION@/${XUL_VERSION}/g" debian/chmsee.sh > debian/chmsee/usr/bin/chmsee
+	sed "s/_Name/Name/g" data/chmsee.desktop.in > debian/chmsee/usr/share/applications/chmsee.desktop
+	sed -i "s/_Comment/Comment/g" debian/chmsee/usr/share/applications/chmsee.desktop
 
 override_dh_auto_clean:
 	cd src; make -f Makefile.debian clean || true
+
+override_dh_gencontrol:
+	dh_gencontrol -- -Vxulrunner-binversion="xulrunner-${XUL_VERSION}"
 
 # to re-generate debian/control, invoke
 # fakeroot debian/rules debian/control DEB_AUTO_UPDATE_DEBIAN_CONTROL:=yes

=== debian/watch ===
version=3
http://githubredir.debian.net/github/jungleji/chmsee /v(.*).tar.gz

## chmsee 2.0.1

=== debian/changelog ===
chmsee (2.0.1-1+rpi1) jessie-staging; urgency=medium

  * Switch to (raspbian specific) xulrunner-10.0-dev
    due to incompatibility with latest iceweasel.

 -- Peter Michael Green <plugwash@raspbian.org>  Sun, 26 Jan 2014 05:33:07 +0000

chmsee (2.0.1-1) unstable; urgency=low

  * Imported Upstream version 2.0.1
  * Build with xulrunner > 17.0
  * Remove DMUA
  * Install README.md and about.md
  * Bump Policy 3.9.4, no changes needed

 -- YunQiang Su <wzssyqa@gmail.com>  Tue, 18 Jun 2013 20:10:10 +0800

chmsee (1.99.08-1) unstable; urgency=low

  * New upstream release: Work with xulrunner 10.* (Closes: #662674).
  * build depends on xulrunner-dev (>= 9.0): upstream ask for it.
  * Bump standard version to 3.9.3, no modification needed.

 -- YunQiang Su <wzssyqa@gmail.com>  Sun, 25 Mar 2012 23:43:05 +0800

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,9 @@
  LI Daobing <lidaobing@debian.org>,
  YunQiang Su <wzssyqa@gmail.com>
 Build-Depends: debhelper (>= 7.0.50~),
- xulrunner-dev (>= 6.0), libchm-dev, intltool,
+ xulrunner-10.0-dev, libchm-dev, intltool,
  pkg-config, libnspr4-dev, chrpath, python
-Standards-Version: 3.9.2
-DM-Upload-Allowed: yes
+Standards-Version: 3.9.4
 Vcs-Browser: http://git.debian.org/?p=chinese/chmsee.git
 Vcs-Git: git://git.debian.org/git/chinese/chmsee.git
 Homepage: http://code.google.com/p/chmsee
